# Ripserer.jl

_Flexible and efficient persistent homology computation._

[![Coverage Status](https://coveralls.io/repos/github/mtsch/Ripserer.jl/badge.svg?branch=master)](https://coveralls.io/github/mtsch/Ripserer.jl?branch=master)
[![Build Status](https://travis-ci.com/mtsch/Ripserer.jl.svg?branch=master)](https://travis-ci.com/mtsch/Ripserer.jl)
[![Documentation](https://img.shields.io/badge/docs-latest-blue.svg)](https://mtsch.github.io/Ripserer.jl/dev)

![](docs/src/assets/title_plot.svg)

Ripserer is a pure Julia implementation of the [ripser](https://github.com/Ripser/ripser)
algorithm for computing persistent homology. It aims to provide an easy to use, generic and
fast implementation of persistent homology to the Julia ecosystem.

See the [docs](https://mtsch.github.io/Ripserer.jl/dev) for more info and usage examples.

## Installation

This package is registered. To install it, run the following.

```julia
julia> using Pkg
julia> Pkg.add("Ripserer")
```
